package com.ruoyi.interfaces.snailJob;

import com.aizuda.snailjob.client.job.core.annotation.JobExecutor;
import com.aizuda.snailjob.client.job.core.dto.JobArgs;
import com.aizuda.snailjob.common.log.SnailJobLog;
import com.aizuda.snailjob.model.dto.ExecuteResult;
import org.springframework.stereotype.Component;

@Component
public class TestJob {
    @JobExecutor(name = "testJob")
    public ExecuteResult job(JobArgs jobArgs) {
        SnailJobLog.REMOTE.info("=======调用成功========");
        SnailJobLog.REMOTE.info("=======调用成功========");
        SnailJobLog.REMOTE.info("=======调用成功========");
        SnailJobLog.REMOTE.info("=======调用成功========");
        return ExecuteResult.success("成功");
    }
}
